> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Retrieves all the information about a call



## OpenAPI

````yaml get /v1/Call/{callId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Call/{callId}:
    get:
      tags:
        - Call
      summary: Get Call
      description: Retrieves all the information about a call
      parameters:
        - name: callId
          in: path
          description: The unique identifier of the call to retrieve information for.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Client informations
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CallApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/CallApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/CallApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    CallApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the call.
          nullable: true
        pearlId:
          type: string
          description: The unique identifier of the Pearl (API v2).
          nullable: true
        relatedId:
          type: string
          description: The unique identifier of the inbound/outbound (API v1).
          nullable: true
        leadId:
          type: string
          description: "If the call is outbound, this is the unique identifier of the lead that was called.\r\nOtherwise, this value is null."
          nullable: true
        startTime:
          type: string
          description: The date and time when the call processing started.
          format: date-time
          nullable: true
        conversationStatus:
          allOf:
            - $ref: '#/components/schemas/eConversationStatusView'
          description: >+
            The outcome of the conversation during the call.


            To determine the definition of 'Success' or 'Not Successful,' please
            refer to the [Create a Pearl](/pages/create_pearl#pearl-name) page
            at step 4.


            `10 - NeedRetry`


            `20 - InCallQueue`


            `40 - OnCall`


            `70 - VoiceMailLeft`


            `100 - Success`


            `110 - NotSuccessful`


            `130 - Completed`


            `150 - Unreachable`


            `220 - Blacklisted`


            `300 - QueueAbandon`


            `500 - Error`

        status:
          allOf:
            - $ref: '#/components/schemas/eCallStatusView'
          description: |+
            Represents the current status of a call.

            `3 - InProgress`

            `4 - Completed`

            `5 - Busy`

            `6 - Failed`

            `7 - NoAnswer`

            `8 - Canceled`

        from:
          type: string
          description: The phone number from which the call was made.
          nullable: true
        to:
          type: string
          description: The phone number to which the call was made.
          nullable: true
        name:
          type: string
          description: The name associated with the call, if available.
          nullable: true
        duration:
          type: integer
          description: The duration of the call in seconds.
          format: int32
        recording:
          type: string
          description: The URL of the recording of the call, if available.
          nullable: true
        transcript:
          type: array
          items:
            $ref: '#/components/schemas/AgentChatMessageApiView'
          description: >-
            The transcript of the conversation, represented as a list of chat
            messages.
          nullable: true
        summary:
          type: string
          description: A summary of the conversation.
          nullable: true
        collectedInfo:
          type: array
          items:
            $ref: '#/components/schemas/CollectedInfoView'
          description: A List containing information collected during the call.
          nullable: true
        tags:
          type: array
          items:
            type: string
          description: The tags or labels triggered during the conversation
          nullable: true
        isCallTransferred:
          type: boolean
          description: >-
            Indicates whether the call was transferred to a human or another
            endpoint.
        overallSentiment:
          allOf:
            - $ref: '#/components/schemas/eOverallSentiment'
          description: >+
            Represents the overall emotional tone detected from the client
            during the conversation.


            `1 - Negative`


            `2 - SlightlyNegative`


            `3 - Neutral`


            `4 - SlightlyPositive`


            `5 - Positive`

          nullable: true
        queueDuration:
          type: integer
          description: >-
            The time (in seconds) the user spent in the queue, before being
            connected or transferred to an agent. (inbound only)
          format: int32
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eConversationStatusView:
      type: integer
      description: >+
        The outcome of the conversation during the call.


        To determine the definition of 'Success' or 'Not Successful,' please
        refer to the [Create a Pearl](/pages/create_pearl#pearl-name) page at
        step 4.


        `10 - NeedRetry`


        `20 - InCallQueue`


        `40 - OnCall`


        `70 - VoiceMailLeft`


        `100 - Success`


        `110 - NotSuccessful`


        `130 - Completed`


        `150 - Unreachable`


        `220 - Blacklisted`


        `300 - QueueAbandon`


        `500 - Error`

      format: int32
    eCallStatusView:
      type: integer
      description: |+
        Represents the current status of a call.

        `3 - InProgress`

        `4 - Completed`

        `5 - Busy`

        `6 - Failed`

        `7 - NoAnswer`

        `8 - Canceled`

      format: int32
    AgentChatMessageApiView:
      type: object
      properties:
        role:
          allOf:
            - $ref: '#/components/schemas/eChatMessageRoleView'
          description: |+
            `2 - Pearl`

            `3 - Client`

        content:
          type: string
          description: The content of the message
          nullable: true
        startTime:
          type: number
          description: The moment the message starts
          format: float
          nullable: true
        endTime:
          type: number
          description: The moment the message ends
          format: float
          nullable: true
      additionalProperties: false
    CollectedInfoView:
      type: object
      properties:
        id:
          type: string
          description: The ID of the variable collected
          nullable: true
        name:
          type: string
          description: The display name of the variable collected.
          nullable: true
        value:
          description: The value of the variable collected.
          nullable: true
      additionalProperties: false
    eOverallSentiment:
      type: integer
      description: >+
        Represents the overall emotional tone detected from the client during
        the conversation.


        `1 - Negative`


        `2 - SlightlyNegative`


        `3 - Neutral`


        `4 - SlightlyPositive`


        `5 - Positive`

      format: int32
    eChatMessageRoleView:
      type: integer
      description: |+
        `2 - Pearl`

        `3 - Client`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````